Subject: Re: About r8169 regression 5.4

From: Salvatore Bonaccorso <[email-masked]>
Date: Sat, 15 Feb 2020 17:12:47 +0100

Hi Vincas,

On Sat, Feb 15, 2020 at 11:22:01AM +0200, Vincas Dargis wrote:
> 2020-02-14 22:14, Heiner Kallweit rašė:
> > On 14.02.2020 18:21, Vincas Dargis wrote:
> > > Hi,
> > > 
> > > I've found similar issue I have myself since 5.4 on mailing list archive [0], for this device:
> > > 
> > Thanks for reporting. As you refer to [0], do you use jumbo packets?
> 
> Not sure, I guess not, because "1500"?
> 
> $ ip link | fgrep enp
> 2: enp5s0f1: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast
> state UP mode DEFAULT group default qlen 1000
> 
> > Best of course would be a bisect between 5.3 and 5.4. Can you do this?
> > I have no test hardware with this chip version (RTL8411B).
> 
> Uhm, never done that, I'll have to research how do I "properly" build kernel in "Debian way" first.
> 
> > You could also try to revert a7a92cf81589 ("r8169: sync PCIe PHY init with vendor driver 8.047.01")
> > and check whether this fixes your issue.
> > In addition you could test latest 5.5-rc, or linux-next.
> 
> I've tried linux-image-5.5.0-rc5-amd64  (5.5~rc5-1~exp1) package form Debian
> experimental, issue "WARNING: CPU: 6 PID: 0 at net/sched/sch_generic.c:447
> dev_watchdog+0x248/0x250" still occurs after some time after boot.
> 
> I'll try first to rebuild one of the Debian kernels after reverting that
> a7a92cf81589 patch, for starters.

You can generate the a7a92cf81589 revert patch, and then for simple
testing of a patch and build have a look at the Simple patching and
building[1] section of the kernel handbook.

Hope this helps,

Regards,
Salvatore

 [1] https://kernel-team.pages.debian.net/kernel-handbook/ch-common-tasks.html#s4.2.2